laisnan(3)

NAME
laisnan - laisnan: test for NaN, unoptimized

SYNOPSIS

  Functions

logical function dlaisnan (din1, din2)
DLAISNAN tests input for NaN by comparing two arguments for inequality.
logical function slaisnan (sin1, sin2)
SLAISNAN tests input for NaN by comparing two arguments for inequality.

Detailed Description

Function Documentation

  logical function dlaisnan (double precision, intent(in) din1, double precision, intent(in) din2)

DLAISNAN tests input for NaN by comparing two arguments for inequality.

Purpose:

    !>
    !> This routine is not for general use.  It exists solely to avoid
    !> over-optimization in DISNAN.
    !>
    !> DLAISNAN checks for NaNs by comparing its two arguments for
    !> inequality.  NaN is the only floating-point value where NaN != NaN
    !> returns .TRUE.  To check for NaNs, pass the same variable as both
    !> arguments.
    !>
    !> A compiler must assume that the two arguments are
    !> not the same variable, and the test will not be optimized away.
    !> Interprocedural or whole-program optimization may delete this
    !> test.  The ISNAN functions will be replaced by the correct
    !> Fortran 03 intrinsic once the intrinsic is widely available.
    !>

Parameters
    DIN1

    !>          DIN1 is DOUBLE PRECISION
    !>

    DIN2

    !>          DIN2 is DOUBLE PRECISION
    !>          Two numbers to compare for inequality.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  logical function slaisnan (real, intent(in) sin1, real, intent(in) sin2)

SLAISNAN tests input for NaN by comparing two arguments for inequality.

Purpose:

    !>
    !> This routine is not for general use.  It exists solely to avoid
    !> over-optimization in SISNAN.
    !>
    !> SLAISNAN checks for NaNs by comparing its two arguments for
    !> inequality.  NaN is the only floating-point value where NaN != NaN
    !> returns .TRUE.  To check for NaNs, pass the same variable as both
    !> arguments.
    !>
    !> A compiler must assume that the two arguments are
    !> not the same variable, and the test will not be optimized away.
    !> Interprocedural or whole-program optimization may delete this
    !> test.  The ISNAN functions will be replaced by the correct
    !> Fortran 03 intrinsic once the intrinsic is widely available.
    !>

Parameters
    SIN1

    !>          SIN1 is REAL
    !>

    SIN2

    !>          SIN2 is REAL
    !>          Two numbers to compare for inequality.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Author

Generated automatically by Doxygen for LAPACK from the source code.